
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: graphviz: build without mono/ocaml on ARM

As ARM doesn't provide mono/ocaml, build graphviz without mono/ocaml
bits when we are building for ARM.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/graphviz.spec
===================================================================
--- SPECS.orig/graphviz.spec
+++ SPECS/graphviz.spec
@@ -12,7 +12,7 @@ Version: 2.14.1
 %{?distroagnostic: %define release %{truerelease}}
 %{!?distroagnostic: %define release %{truerelease}%{?dist}}
 
-Release: %{?release}
+Release: %{?release}.fa1
 
 Group:   Applications/Multimedia
 License: CPL
@@ -118,7 +118,7 @@ BuildRequires: libtool-ltdl libtool-ltdl
 %if "%fedora" >= "5"
 %define JAVA   1
 BuildRequires: libXaw-devel libSM-devel libICE-devel libXpm-devel libXt-devel libXmu-devel libXext-devel libX11-devel java-devel
-%ifnarch ppc64
+%ifnarch %{arm} ppc64
 %define SHARP  1
 %define OCAML  1
 BuildRequires: mono-core ocaml
